<?php
/*
Plugin Name: Update Album
Version: 1.0.b
Description: This plugin updates selected photos. Based on Skeleton.
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=861
Author: PhWeyland based on skeleton
Author URI: http://ph-wd.com
*/

/**
 * This is the main file of the plugin, called by Piwigo in "include/common.inc.php" line 137.
 * At this point of the code, Piwigo is not completely initialized, so nothing should be done directly
 * except define constants and event handlers (see http://piwigo.org/doc/doku.php?id=dev:plugins)
 */

defined('PHPWG_ROOT_PATH') or die('Hacking attempt!');


// +-----------------------------------------------------------------------+
// | Define plugin constants                                               |
// +-----------------------------------------------------------------------+
global $prefixeTable;

define('UPDATEALBUM_ID',      basename(dirname(__FILE__)));
define('UPDATEALBUM_PATH' ,   PHPWG_PLUGINS_PATH . UPDATEALBUM_ID . '/');
define('UPDATEALBUM_TABLE',   $prefixeTable . 'updatealbum');
define('UPDATEALBUM_ADMIN',   get_root_url() . 'admin.php?page=plugin-' . UPDATEALBUM_ID);
define('UPDATEALBUM_PUBLIC',  get_absolute_root_url() . make_index_url(array('section' => 'updatealbum')) . '/');
define('UPDATEALBUM_DIR',     PHPWG_ROOT_PATH . PWG_LOCAL_DIR . 'updatealbum/');



// +-----------------------------------------------------------------------+
// | Add event handlers                                                    |
// +-----------------------------------------------------------------------+
// init the plugin
add_event_handler('init', 'updatealbum_init');

/*
 * this is the common way to define event functions: create a new function for each event you want to handle
 */
if (defined('IN_ADMIN'))
{
  // file containing all admin handlers functions
  $admin_file = UPDATEALBUM_PATH . 'include/admin_events.inc.php';

  // admin plugins menu link
  add_event_handler('get_admin_plugin_menu_links', 'updatealbum_admin_plugin_menu_links',
    EVENT_HANDLER_PRIORITY_NEUTRAL, $admin_file);

}

/**
 * plugin initialization
 *   - check for upgrades
 *   - unserialize configuration
 *   - load language
 */
function updatealbum_init()
{
  global $conf;

  // load plugin language file
  load_language('plugin.lang', UPDATEALBUM_PATH);
  // prepare plugin configuration
  $conf['updatealbum'] = safe_unserialize($conf['updatealbum']);

}
